Recommended update for libcontainers-common

SUSE Recommended Update: Recommended update for libcontainers-common
Announcement ID: SUSE-RU-2020:0927-1
Rating: moderate
References: #1165917
Affected Products:
  • SUSE Linux Enterprise Module for Basesystem 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for libcontainers-common fixes the following issues:

  • Add registries warning to registries.conf. (bsc#1165917)
  • Add `rootless_storage_path` directive to storage.conf. (bsc#1165917)
  • Clean up various imports primarily so that imports of packages that aren't in the standard library are all in one section. (bsc#1165917)
  • copy.Image(): select the CopySystemImage image using the source context. (bsc#1165917)
  • docker: handle http 429 status codes. (bsc#1165917)
  • allow for .dockercfg files to reside in non-home directories. (bsc#1165917)
  • Handling of the libpod.conf configuration file has seen major changes. Most significantly, rootless users will no longer automatically receive a complete configuration file when they first use Podman, and will instead only receive differences from the global configuration. (bsc#1165917)
  • Initial support for the CNI DNS plugin, which allows containers to resolve the IPs of other containers via DNS name, has been added. (bsc#1165917)
  • Podman now supports anonymous named volumes, created by specifying only a destination to the -v flag to the podman create and podman run commands. (bsc#1165917)
  • Named volumes now support uid and gid options in --opt o=... to set UID and GID of the created volume. (bsc#1165917)
  • overlay: allow storing images with more than 127 layers. (bsc#1165917)
  • Lazy initialize the layer store. (bsc#1165917)
  • Add a default registries.d configuration file, used to specify images. (bsc#1165917)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-927=1

Package List:

  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (noarch):
    • libcontainers-common-20200306-3.9.2

References: